Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.keystone
Class KeystoneRequest

    java.lang.Object
      com.intel.cosbench.client.keystone.KeystoneRequest

    public class KeystoneRequest

extends java.lang.Object

The request that will be used when obtaining a keystone token from the keystone service. It contains information including the username, password, tenant name, tenant id and user token. Note that not all information is required for a request to be accepted. Some are even conflicting with others. This class is specially structured in a way that is compatible with the interface provided by the keystone service. Please refer to the keystone documents for more detailed information.
`{"auth": ... }`

Author:
  qzheng

Nested Class Summary
`static class` | `KeystoneRequest.AuthInfo` The authentication information holding either the password credentials or the token id.

Constructor Summary
`KeystoneRequest()`

Method Summary
`void` | `addCredentials(java.lang.String username, java.lang.String password)`
`void` | `addTenantId(java.lang.String tenantId)`
`void` | `addTenantName(java.lang.String tenantName)`
`void` | `addUserToken(java.lang.String id)`
`KeystoneRequest.AuthInfo` | `getAuth()`
`void` | `setAuth(KeystoneRequest.AuthInfo auth)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoneRequest

    public KeystoneRequest()

Method Detail

### getAuth

    public KeystoneRequest.AuthInfo getAuth()

### setAuth

    public void setAuth(KeystoneRequest.AuthInfo auth)

### addCredentials

    public void addCredentials(java.lang.String username,
                               java.lang.String password)

### addUserToken

    public void addUserToken(java.lang.String id)

### addTenantId

    public void addTenantId(java.lang.String tenantId)

### addTenantName

    public void addTenantName(java.lang.String tenantName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD